Subject: Ticket Assigned - Returns
From: Landmark Group <[email-masked]>
To: [email-masked]
Date: Sun, 13 Sep 2020 05:01:55 +0000

Hi Asjad Hussain,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Returns Dear all 
I am very disappointed of your finance department, I ordered from your online account and one payment with 57,5 Kd should be deposit on my bank account since I already contacted the help department and I have sent my bank iban With all needs about my account information to them long time ago with no action from them they just ignored.
Secondly, there is a refund item and Also I asked them to return my money to be crediting to my online account in homecenter site and they ignored me too. So I want to complain this processing with you financial department.
My order # 8396927493 /Tel:67076707 https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/1477156